Skip to main content

Initiate FI to FI Customer Credit Transfer

POST 

/v1/payaway/funds-controller

ISO-20022 pacs.008 message. Instruct Realis Finance to initiate onward payment to beneficiaries in other countries.

On success, the pacs.008 message will be sent to Realis Finance to inform them of the onward payment request.

On failure, the initiating party's webhook will receive a notification with the reason.

The InstgAgt.FinInstnId.Othr.Id and InstdAgt.FinInstnId.Othr.Id properties must be populated with the RTGS.global Ids of the debtor participant and debtor's funds controller respectively.

The FIToFICstmrCdtTrf.CdtTrfTxInf[0].Purp field is required. Use Purp.Cd with one of the Realis Finance-supported ExternalPurpose1Code values (see the Cd field in the schema for the full list of 106 accepted codes), or Purp.Prtry for a proprietary code. Cd and Prtry are mutually exclusive.

The ultimate creditor must be a previously registered creditor. Provide the creditor's account alias id in the pacs.008: if the ultimate creditor is an individual, use FIToFICstmrCdtTrf.CdtTrfTxInf[0].Cdtr.Id.PrvtId.Othr[0].Id, otherwise use FIToFICstmrCdtTrf.CdtTrfTxInf[0].Cdtr.Id.OrgId.Othr[0].Id. Account identifiers must not exceed 35 characters.

Request​

Responses​

Accepted